#include "shaders.h"

// ----------------------------------------------------------------------------------------------------------------------------

class CCamera
{
private:
	mat4x4 *ViewMatrix;

public:
	vec3 X, Y, Z, Position;

public:
	CCamera();

	void OnMouseMove(int cx, int cy);
	void OnKeys(BYTE Keys, float FrameTime);
	void CalculateViewMatrix();
	void SetViewMatrixPointer(mat4x4 *ViewMatrix);
};
